package com.ruoyi.screen.service.impl;

import com.ruoyi.screen.domain.response.*;
import com.ruoyi.screen.mapper.ZongzhiScreenOpinionMapper;
import com.ruoyi.screen.service.ZongzhiScreenOpinionService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 太仓综治网络舆情大屏实现层
 */
@Service
public class ZongzhiScreenOpinionServiceImpl implements ZongzhiScreenOpinionService {
    @Resource
    private ZongzhiScreenOpinionMapper zongzhiScreenOpinionMapper;

    @Override
    public List<ZongzhiSentimentTypeResponse> getSentimentType() {
        return zongzhiScreenOpinionMapper.getSentimentType();
    }

    @Override
    public List<ZongzhiSentimentCountResponse> getSentimenCount() {
        return zongzhiScreenOpinionMapper.getSentimenCount();
    }

    @Override
    public List<ZongzhiSentimenClassificationResponse> getSentimenClassificationBymediaType() {
        return zongzhiScreenOpinionMapper.getSentimenClassificationBymediaType();
    }

    @Override
    public List<ZongzhiSentimenClassificationResponse> getSentimenClassificationByeventType() {
        return zongzhiScreenOpinionMapper.getSentimenClassificationByeventType();
    }

    @Override
    public List<ZongzhiSentimenWordCloudResponse> getWordCloud() {
        return zongzhiScreenOpinionMapper.getWordCloud();
    }

    @Override
    public ZongzhiSentimentReportResponse getSentimentReport() {
        return zongzhiScreenOpinionMapper.getSentimentReport();
    }

    @Override
    public List<ZongzhiReportResponse> getSentimentReportbyReportType() {
        return zongzhiScreenOpinionMapper.getSentimentReportbyReportType();
    }

    @Override
    public List<ZongzhiSentimentDeptResponse> getSentimentDept() {
        return zongzhiScreenOpinionMapper.getSentimentDept();
    }

    @Override
    public List<ZongzhiSentimentfilterResponse> getSentimentFiltering() {
        return zongzhiScreenOpinionMapper.getSentimentFiltering();
    }
}
